> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# سرد الحسابات

> يسرد حسابات العملاء المرئية لـ أساس API العام.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts:
    get:
      tags:
        - public-accounts
      summary: سرد الحسابات
      description: يسرد حسابات العملاء المرئية لـ أساس API العام.
      operationId: list_public_accounts_v1_public_accounts_get
      parameters:
        - in: query
          name: client_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Client Id
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    AccountListResponse:
      properties:
        items:
          description: الحسابات في هذه الصفحة
          items:
            $ref: '#/components/schemas/AccountResponse'
          title: العناصر
          type: array
        page:
          description: رقم الصفحة الحالي المستند إلى واحد
          title: الصفحة
          type: integer
        page_size:
          description: الحد الأقصى للعناصر لكل صفحة
          title: حجم الصفحة
          type: integer
        total:
          description: إجمالي الحسابات المطابقة
          title: الإجمالي
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: AccountListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    AccountResponse:
      properties:
        client:
          $ref: '#/components/schemas/AccountClientSummary'
          description: العميل الذي يملك الحساب
        created_at:
          description: الطابع الزمني لإنشاء الحساب
          format: date-time
          title: تاريخ الإنشاء
          type: string
        id:
          description: UUID الحساب
          format: uuid
          title: المعرّف
          type: string
        name:
          description: اسم العرض للحساب
          title: الاسم
          type: string
        status:
          description: حالة دورة حياة الحساب
          title: الحالة
          type: string
        updated_at:
          description: الطابع الزمني لآخر تحديث للحساب
          format: date-time
          title: تاريخ التحديث
          type: string
      required:
        - id
        - name
        - client
        - status
        - created_at
        - updated_at
      title: AccountResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
    AccountClientSummary:
      description: ملخص عميل هيكلي مضمن في استجابات الحساب.
      properties:
        id:
          description: العميل UUID
          format: uuid
          title: المعرّف
          type: string
        name:
          description: اسم عرض العميل
          title: الاسم
          type: string
      required:
        - id
        - name
      title: AccountClientSummary
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````